library ieee;
use ieee.std_logic_1164.all;

entity gen_binaire is 
	port (
		clock : in std_logic;
		register_output : out std_logic
	);
end;

architecture behave of gen_binaire is
	signal register_state : std_logic_vector (1 to 10)	:= (10 => '1', others => '0');
begin
	register_output <= register_state(10);

	process(clock)
	begin
		if falling_edge(clock) then
		
			register_state(2 to 10) <= register_state(1 to 9);
				
			register_state(1) <= register_state(10) xor register_state(3);
			
		end if;
	end process;
		
end;