library ieee;
use ieee.std_logic_1164.all;

library ieee;
use ieee.std_logic_1164.all;

entity gen_horloge is

   port(
		clock : in std_logic;
		pulse : out std_logic
	);
end;

architecture behave of gen_horloge is

begin
	process
	
		constant COUNT_MAX : natural := 4999;
		constant HALF_PERIOD : natural := integer(COUNT_MAX / 2) +1;
		variable count : natural range 0 to COUNT_MAX;
		
	begin
	   wait until falling_edge(clock);
		if count < COUNT_MAX then
			if count < HALF_PERIOD  then
			   pulse <= '0';
			else 
			   pulse <= '1';
			end if;
			
			count := count+1;
			
		else 
			count := 0;
			pulse <= '1';
		end if;
	end process;
end;