library ieee;
use ieee.std_logic_1164.all;

entity OOK_top_tb is 
end;

architecture testbench of OOK_top_tb is
   signal clock_50_M : std_logic := '0';
   signal dac_clock : std_logic;
   signal dac_write : std_logic;
	signal dac_mode : std_logic;
	signal dac_data : integer range 0 to 16383;
   constant CLOCK_50_PERIOD : time := 20 ns;
	
begin
   	
	dut : entity work.OOK_top port map(clock_50_M => clock_50_M, dac_clock => dac_clock, dac_write => dac_write, dac_mode => dac_mode, dac_data => dac_data);

	clock_50_M <= not(clock_50_M) after CLOCK_50_PERIOD/2;
		
end;

