library ieee;
use ieee.std_logic_1164.all;

entity gen_porteuse_tb is 
end;

architecture testbench of gen_porteuse_tb is
signal clock : std_logic := '0';
signal porteuse : integer range 0 to 16383;
constant CLOCK_PERIOD : time := 40 ns;
	
begin
   	
	dut : entity work.gen_porteuse port map(clock => clock, porteuse => porteuse);

	clock <= not(clock) after CLOCK_PERIOD/2;
		
end;